var oauthCredentials = {};

function getParameterByName(name) {
	name = name.replace(/[\[]/, '[').replace(/[\]]/, ']');
	var regex = new RegExp('[\\?&]' + name + '=([^&#]*)'), results = regex.exec(location.search);
	return results == null ? undefined : decodeURIComponent(results[1].replace(/\+/g, ' '));
}

$(document).ready(function () {
	$.cookie.json = true;
	var authToken = getParameterByName('code');

	function authUser() {
		if ($.cookie('huddle_app_oauth_cookie')) {
			oauthCredentials = $.cookie('huddle_app_oauth_cookie');
			$('.login-area').html('You are logged in to Huddle! You can access the auth cookie using the global variable <code>oauthCredentials</code> in JavaScript, or come up with your own way of storing it.');
		} else {
			$('.login-area').html('You are not logged in. <a href="/huddleAuth">Login now!</a>');
		}
	}

	if (authToken) {
		console.log('Totally logging this person in now, with the auth token ' + authToken);
		$.ajax({
			type: 'POST',
			url: '/huddleAuth/token',
			data: JSON.stringify({ 'code': authToken }),
			contentType: 'application/json',
			dataType: 'json',
			success: function (msg) {
				$.cookie('huddle_app_oauth_cookie', msg);
				authUser();
			},
			error: function (x,e){
				if (x.status==0) {
					console.log('error 0');
				}
			}
		});
		// Now log in
	}

	authUser();
});

